# DataExchange
TKSTEP
STEPEdit

# STEPEdit Class Reference

Provides tools to exploit and edit a set of STEP data :
editors, selections ..
.

`#include <STEPEdit.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Interface_Protocol | Protocol ()
| Returns a Protocol fit for STEP (creates the first time) .
static Standard_EXPORT Handle_StepData_StepModel | NewModel ()
| Returns a new empty StepModel fit for STEP i.e. with its header determined from Protocol .
static Standard_EXPORT Handle_IFSelect_Signature | SignType ()
| Returns a SignType fit for STEP (creates the first time) .
static Standard_EXPORT Handle_IFSelect_SelectSignature | NewSelectSDR ()
| Creates a Selection for ShapeDefinitionRepresentation By default searches among root entities .
static Standard_EXPORT Handle_IFSelect_SelectSignature | NewSelectPlacedItem ()
| Creates a Selection for Placed Items, i.e. MappedItem or ContextDependentShapeRepresentation, which itself refers to a RepresentationRelationship with possible subtypes (Shape... and/or ...WithTransformation) By default in the whole StepModel .
static Standard_EXPORT Handle_IFSelect_SelectSignature | NewSelectShapeRepr ()
| Creates a Selection for ShapeRepresentation and its sub-types, plus ContextDependentShapeRepresentation (which is not a sub-type of ShapeRepresentation) By default in the whole StepModel .

## Member Function Documentation

static Standard_EXPORT Handle_StepData_StepModel STEPEdit::NewModel | ( |  | ) | `[static]`

static Standard_EXPORT Handle_IFSelect_SelectSignature STEPEdit::NewSelectPlacedItem | ( |  | ) | `[static]`

static Standard_EXPORT Handle_IFSelect_SelectSignature STEPEdit::NewSelectSDR | ( |  | ) | `[static]`

static Standard_EXPORT Handle_IFSelect_SelectSignature STEPEdit::NewSelectShapeRepr | ( |  | ) | `[static]`

void STEPEdit::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPEdit::operator new | ( | size_t | size | ) | `[inline]`

void* STEPEdit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_Interface_Protocol STEPEdit::Protocol | ( |  | ) | `[static]`

static Standard_EXPORT Handle_IFSelect_Signature STEPEdit::SignType | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- STEPEdit.hxx